Main Page Widgets glibmm Namespaces Book

# Glib::RegexError Class Reference

Exception class for Regex. More...

Inheritance diagram for Glib::RegexError:

[legend]

List of all members.

## Public Types

enum | Code { COMPILE, OPTIMIZE, REPLACE, MATCH }

## Public Member Functions

| RegexError (Code error_code, const Glib::ustring& error_message)
| RegexError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for Regex.

## Member Enumeration Documentation

enum Glib::RegexError::Code

Enumerator:

  COMPILE |
  OPTIMIZE |
  REPLACE |
  MATCH |

## Constructor & Destructor Documentation

Glib::RegexError::RegexError | ( | Code | error_code,
|  | const Glib::ustring& | error_message |
| ) |  |  |

Glib::RegexError::RegexError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Glib::RegexError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- regex.h